package main

import "testing"

func TestParsing(t *testing.T) {
	statino, ok := Line2Statino("352372\tPaolo Boldi\t18,32,18,21")
	if !ok {
		t.Error("Expected ok but did not parse")
	}
	if statino.Matricola != "352372" {
		t.Error("Did not parse matricola correctly")
	}
	if statino.Nominativo != "Paolo Boldi" {
		t.Error("Did not parse nominativo correctly")
	}
	if Media(statino.Esami) != 21.75 {
		t.Error("Media not correct")
	}
}

func TestParsingError(t *testing.T) {
	coseNonOk := []string{
					"352372\tPaolo\t\tBoldi\t18,32,18,21",
					"352372",
					"352372\tPaolo Boldi\t18,AAAAAA,18,21",
					"352372\tPaolo Boldi\t18,15,18,21",
					"352372\tPaolo Boldi\t18,31,18,21",
					"352372\tPaolo Boldi\t18,33,18,21"}

	for _, cosa := range coseNonOk {
		statino, ok := Line2Statino(cosa)
		if ok {
			t.Error("Expected error, but ok was returned:", cosa, "result:", statino)
		}
	}
}